<!-- Hereda de el template main -->
{% extends 'main.html'%}  {# Herencia #}
<!-- Importar macro -->
{% from 'macros/form.html' import show_field, show_submit %}

<!--Hereda el bloque de cabecera manteniendo su contenido con la función super() y agregando el link a la hoja de estilo al final del mismo -->
{% block head %}
    {{ super() }} {# Heredar el contenido del bloque bloque #}
    <link rel="stylesheet" href="{{url_for('static', filename='css/style.css')}}"> {# Nuevo contenido del bloque #}
{% endblock %}

<!-- Comienza el bloque de contenido y define su contenido -->
{% block content %}

<div class="container">
  <div class="row">
    <div class="col-md-12">
	    <form method="POST" action="{{ url_for('project.create') }}" >
	      <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
	     	<div class="form-row">
	    		<div class="form-group col-md-4">
	      			{{ show_field(form.name, class='form-control' )}}
	    		</div>
	    		<div class="form-group col-md-4">
	      			{{ show_field(form.year , class='form-control')}}
	    		</div>
          <div class="form-group col-md-4">
	      			{{ show_field(form.professorId , class='form-control')}}
	    		</div>
	  		</div>
	  		  <!--Llama a macro especial para mostrar el campo de submit -->
	 			{{ show_submit(form.submit , class='btn btn-success')}}
	  	</form>
  	</div>
  </div>
</div>
{% endblock%}
